Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 62567 - net-misc/nxssh-1.4.0 fails on missing libwrap
Summary: net-misc/nxssh-1.4.0 fails on missing libwrap
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High minor (vote)
Assignee: NX Server Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 63757 76387
  Show dependency tree
 
Reported: 2004-09-01 16:58 UTC by Dirkjan Ochtman
Modified: 2005-02-17 02:53 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirkjan Ochtman gentoo-dev 2004-09-01 16:58:19 UTC
Emerging nxssh-1.4.0 fails.

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

Actual Results:  
Error:

checking for libwrap... configure: error: *** libwrap missing

!!! ERROR: net-misc/nxssh-1.4.0 failed.
!!! Function src_compile, Line 43, Exitcode 1
!!! bad configure

supaari root # emerge -pv libwrap

These are the packages that I would merge, in order:

Calculating dependencies
emerge: there are no masked or unmasked ebuilds to satisfy "libwrap".

!!! Error calculating dependencies. Please correct.


supaari root # emerge --info
Portage 2.0.50-r10 (default-x86-1.4, gcc-3.3.4, glibc-2.3.3.20040420-r1, 2.6.7-
gentoo-r13)
=================================================================
System uname: 2.6.7-gentoo-r13 i686 AMD Athlon(tm) Processor
Gentoo Base System version 1.4.16
Autoconf: sys-devel/autoconf-2.59-r4
Automake: sys-devel/automake-1.8.5-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CFLAGS="-mcpu=athlon-tbird -O3 -pipe"
CHOST="i686-pc-linux-gnu"
COMPILER=""
CONFIG_PROTECT="/etc /usr/X11R6/lib/X11/xkb /usr/kde/2/share/config /usr/kde/3/s
hare/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -mcpu=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoaddcvs ccache fixpackages sandbox"
GENTOO_MIRRORS="ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo 
http://gentoo.oregonstate.edu 
http://www.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X acpi acpi4linux apache2 apm curl gd gif gtk2 jpeg kerberos libwww 
mmx mysql nas ncurses nls opengl pam python readline samba slang spell ssl tcpd 
tiff truetype x86 xml2 zlib"
Comment 1 Dirkjan Ochtman gentoo-dev 2004-09-06 04:44:50 UTC
Problem fixed by emerging sys-apps/tcp-wrappers.

Next problem: fails with USE flag "kerberos".
Other problem: no sample conf file included in appropriate dir.
Comment 2 Stuart Herbert (RETIRED) gentoo-dev 2005-02-17 02:53:27 UTC
Hi,

Thanks for the bug report.  I've added the missing dependency on tcp-wrappers.

Regarding the kerberos support; I've dropped that from this ebuild.  I currently can't support this feature.  I'll happily accept patches from anyone who can.

An updated nxssh-1.4.0-r1 will appear on your local rsync mirror later today.

Best regards,
Stu